<?php

if (empty($_GET['sok'])) {
    echo '<div class="post"><div style="text-align:center">' . "\n";
    echo 'Вы действительно хотите удалить WWW домен ' . htmlentities($_GET['elid'], ENT_QUOTES, 'UTF-8') . '?<br />' . "\n";
    echo '<a href="?func=wwwdomain.delete&amp;elid=' . urlencode($_GET['elid']) . '&amp;sok=yes">Да</a> / <a href="?func=wwwdomain">Нет</a>' . "\n";
    echo '</div></div>' . "\n";
} else {
    $content = api_query('https://' . $server . '/manager/ispmgr?func=wwwdomain.delete&elid=' . urlencode($_GET['elid']) . '&out=xml&auth=' . urlencode($_SESSION['auth']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'WWW домен успешно удален!<br />' . "\n";
        echo 'Подождите несколько секунд, для перезагрузки сервера, и нажмите &quot;продолжить&quot;.<br />' . "\n";
        echo '<a href="?func=wwwdomain">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
        api_query('https://' . $server . '/manager/ispmgr?func=restart&auth=' . urlencode($_SESSION['auth']));
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при удалении WWW домена!<br />' . "\n";
        echo '<a href="?func=wwwdomain">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>